> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatordb.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get content info by ID

> Get detailed information about a video, short, post, or reel using the content ID. Supports YouTube, Instagram, and TikTok IDs.



## OpenAPI

````yaml /api-v2/api-v2.yaml get /getPostById
openapi: 3.1.0
info:
  version: '2'
  title: CreatorDB Headless APIService
  description: >-
    Generated from swaggerComponentIndex.json by core-types-json-schema
    (https://github.com/grantila/core-types-json-schema). Use OpenAPI 3.1.0
    version with direct JSON Schema support
  termsOfService: https://www.creatordb.app
  contact:
    name: CreatorDB
    url: https://www.creatordb.app
    email: support@creatordb.app
  license:
    url: http://www.apache.org/licenses/LICENSE-2.0.html
    name: Apache 2.0
  x-id: indexForSwagger.yaml
servers:
  - url: https://dev.creatordb.app/v2
    description: CreatorDB API Endpoint - prod version
security: []
tags:
  - name: General Operations
    description: >-
      General-purpose endpoints such as API status, content retrieval, and
      cross-platform operations
  - name: YouTube
    description: >-
      YouTube creator data endpoints including basic metrics, historical data,
      and detailed analytics
  - name: Instagram
    description: >-
      Instagram creator data endpoints with metrics and advanced search
      capabilities
  - name: TikTok
    description: >-
      TikTok creator data endpoints with metrics and advanced search
      functionality
  - name: Threads
    description: Threads creator data endpoints with basic metrics and historical data
  - name: Facebook
    description: Facebook creator data endpoints with metrics and search capabilities
  - name: Topic
    description: Topic-based analysis and reporting endpoints for content categorization
  - name: Brand
    description: Brand analysis endpoints including sponsor search and brand reports
  - name: Niches
    description: Niche-related endpoints for content category analysis and related searches
paths:
  /getPostById:
    get:
      tags:
        - General Operations
      summary: Get content info by ID
      description: >-
        Get detailed information about a video, short, post, or reel using the
        content ID. Supports YouTube, Instagram, and TikTok IDs.
      operationId: getPostById
      parameters:
        - name: apiId
          in: header
          description: ''
          required: true
          schema:
            type: string
            example: LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W
        - name: platform
          in: query
          description: platform support `youtube`, `instagram` and `tiktok`
          required: true
          schema:
            type: string
            example: youtube
        - name: postId
          in: query
          description: >-
            video or post ID. `FaOjH7iFxYk`, `B9xDeEKHoRI`,
            `7317359216287567147`
          required: true
          schema:
            type: string
            example: FaOjH7iFxYk
        - name: userId
          in: query
          description: >-
            user ID or channel ID. `UCKLBeC1fdjPJL7t2CzdxJKA`, `vaustinl`,
            `yoasobi_`, this is optional, if not provided, the system will try
            to get the user ID via postId
          required: false
          schema:
            type: string
            example: UCKLBeC1fdjPJL7t2CzdxJKA
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/BasicYoutubePostResult'
                  quotaUsed:
                    type: number
                    description: API credits that were used to make this call.
                  quotaUsedTotal:
                    type: number
                    description: Total API credits used since the last billing cycle.
                  remainingPlanCredit:
                    type: number
                    description: >-
                      The number of remaining free API credits that come with
                      your subscription plan. These API credits are renewed
                      every billing cycle.
                  remainingPrepurchasedCredit:
                    type: number
                    description: >-
                      The number of remaining extra purchased API credits. These
                      API credits do not expire until used.
                  timestamp:
                    type: number
                    description: >-
                      Unix timestamp of the call request that the server
                      received.
                  error:
                    type: string
                    description: Errors that occurred during the API call.
                  success:
                    type: boolean
                    description: It is TRUE when the call is successful.
              examples:
                default:
                  value:
                    data:
                      basicYoutubePost:
                        uploadDate: 1722621878000
                        videoId: FaOjH7iFxYk
                        length: 26
                        title: FREE Tesla Cybertruck?!? 🤯
                        likes: 1300
                        comments: 113
                        selfCommentRatio: 0.05
                        commentLikeRatio: 0
                        commentReplyRatio: 0.05
                        views: 38845
                        engageRate: 0.03637533788132321
                        category: Gaming
                        lang: fra
                        isPaidPromote: false
                        isStreaming: false
                        isShorts: true
                        hashtags:
                          - '#epicpartner'
                          - '#fortnitesummerroadtrip'
                          - '#fortnite'
                    quotaUsed: 2
                    quotaUsedTotal: 6026
                    remainingPlanCredit: 993974
                    remainingPrepurchasedCredit: 0
                    timestamp: 1755503515236
                    error: ''
                    success: true
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/BasicYoutubePostResult'
                  quotaUsed:
                    type: number
                    description: API credits that were used to make this call.
                  quotaUsedTotal:
                    type: number
                    description: Total API credits used since the last billing cycle.
                  remainingPlanCredit:
                    type: number
                    description: >-
                      The number of remaining free API credits that come with
                      your subscription plan. These API credits are renewed
                      every billing cycle.
                  remainingPrepurchasedCredit:
                    type: number
                    description: >-
                      The number of remaining extra purchased API credits. These
                      API credits do not expire until used.
                  timestamp:
                    type: number
                    description: >-
                      Unix timestamp of the call request that the server
                      received.
                  error:
                    type: string
                    description: Errors that occurred during the API call.
                  success:
                    type: boolean
                    description: It is TRUE when the call is successful.
              examples:
                default:
                  value:
                    data: null
                    quotaUsed: 0
                    quotaUsedTotal: 0
                    remainingPlanCredit: 0
                    remainingPrepurchasedCredit: 0
                    timestamp: 1755503514647
                    error: APIKeyOnlyForTesting
                    success: false
      servers:
        - url: https://dev.creatordb.app/v2
          description: CreatorDB API Endpoint - prod version
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |
            curl --request GET \
              --url 'https://dev.creatordb.app/v2/getPostById?platform=youtube&postId=FaOjH7iFxYk' \
              --header 'Accept: application/json' \
              --header 'apiId: LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W'
components:
  schemas:
    BasicYoutubePostResult:
      type: object
      additionalProperties: false
      properties:
        basicYoutubePost:
          $ref: '#/components/schemas/YoutubeVideoInfo'
      required:
        - basicYoutubePost
    YoutubeVideoInfo:
      type: object
      additionalProperties: false
      properties:
        uploadDate:
          type: number
          description: Unix timestamp of the YouTube video upload time.
        videoId:
          type: string
          description: Unique ID of the video that is auto-generated.
        length:
          type: number
          description: Length of the YouTube video in seconds.
        title:
          type: string
          description: The title of the YouTube video.
        likes:
          type: number
          description: The number of likes the YouTube video received.
        comments:
          type: number
          description: The number of comments on this YouTube video.
        selfCommentRatio:
          type: number
          description: >-
            The ratio of the YouTube creator's self-comments to recent 20
            comments.
        commentLikeRatio:
          type: number
          description: The ratio of comments to likes for this YouTube video.
        commentReplyRatio:
          type: number
          description: The ratio of comments to the YouTube creator replies for this video.
        views:
          type: number
          description: The number of views for the YouTube video.
        engageRate:
          type: number
          description: >-
            The engagement rate of this YouTube video. The engagement rate is
            calculated by adding the likes and comments and then dividing by the
            number of video views.
        category:
          type: string
          description: >-
            The video category assigned by the YouTube creator from a default
            category list.
        lang:
          type: string
          description: Language of the YouTube video.
        isPaidPromote:
          type: boolean
          description: >-
            It is TRUE when the YouTube creator flags the video as containing an
            advertisement.
        isStreaming:
          type: boolean
          description: It is TRUE when the YouTube video is a live stream.
        isShorts:
          type: boolean
          description: It is TRUE when the video is a YouTube short.
        hashtags:
          type: array
          description: Hashtags that are included in this YouTube video.
          items:
            type: string
      required:
        - uploadDate
        - videoId
        - length
        - title
        - likes
        - comments
        - selfCommentRatio
        - commentLikeRatio
        - commentReplyRatio
        - views
        - engageRate
        - category
        - lang
        - isPaidPromote
        - isStreaming
        - isShorts
        - hashtags

````